package com.networksByteDesign.eMarket.inventory.data;

import java.rmi.RemoteException;
import javax.ejb.*;


/**
 * Customer entity bean
 *
 * @ejb:bean name="CustomerBean" type="CMP" jndi-name="Customer"
 * @ejb:interface
 *      remote-class="com.networksByteDesign.eMarket.inventory.data.Customer"
 */
public class CustomerBean implements EntityBean
{
    transient private EntityContext ctx;
    public String name_;
    public String id_;

    /**
     * DOCUMENT ME!
     *
     * @return name of object
     *
     * @ejb:interface-method view-type="both"
     * @ejb:transaction type="Supports"
     * @ejb:persistent-field
     */
    public String getName()
    {
        return name_;
    }

    /**
     * DOCUMENT ME!
     *
     * @param name name of object
     *
     * @ejb:interface-method view-type="both"
     */
    public void setName(String name)
    {
        name_ = name;
    }

    /**
     * DOCUMENT ME!
     *
     * @return id of object
     *
     * @ejb:persistent-field
     * @ejb:pk-field
     * @jboss:dbms-column city_id
     */
    public String getId()
    {
        return id_;
    }

    /**
     * DOCUMENT ME!
     *
     * @param id id of object
     */
    public void setId(String id)
    {
        id_ = id;
    }

    /**
     * Create object.
     *
     * @param id DOCUMENT ME!
     *
     * @return DOCUMENT ME!
     *
     * @ejb:create-method
     * @ejb:permission role-name="Administrator"
     */
    public String ejbCreate(String id)
    {
        id_ = id;

        return null;
    }

    public void ejbPostCreate(String id) {}

    public void ejbActivate() {}

    public void ejbPassivate() {}

    public void ejbLoad() {}

    public void ejbStore() {}

    public void ejbRemove() throws javax.ejb.RemoveException {}

    public void setEntityContext(EntityContext ctx)
    {
        this.ctx = ctx;
    }

    public void unsetEntityContext()
    {
        this.ctx = null;
    }
}
